com.aliyun.svideosdk.common.callback.recorder

## Interface OnTextureIdCallBack

-     public interface OnTextureIdCallBack

  An interface that defines texture callbacks. This interface can be used to add custom rendering during recording or editing.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `onScaledIdBack(int scaledId, int textureWidth, int textureHeight, float[] matrix)` The callback that outputs the texture id after effects such as rotation animations, scale animations are added to the video.
    `void` | `onTextureDestroyed()` The callback that destroys the OpenGL environment when recording resources are released.
    `int` | `onTextureIdBack(int textureId, int textureWidth, int textureHeight, float[] matrix)` The callback that outputs the texture id before adding effects to the video.

- - ### Method Detail

    - #### onTextureIdBack

          int onTextureIdBack(int textureId,
                              int textureWidth,
                              int textureHeight,
                              float[] matrix)

      The callback that outputs the texture id before adding effects to the video. This method can be used to add custom rendering to the video.
      Parameters:
        `textureId` - OES textureID
        `textureWidth` - The texture width.
        `textureHeight` - The texture height.
        `matrix` - The texture matrix.
      Returns:
        The returned texture id is used in subsequent rendering operations. If 0 is returned, the original texture id is used.

    - #### onScaledIdBack

          int onScaledIdBack(int scaledId,
                             int textureWidth,
                             int textureHeight,
                             float[] matrix)

      The callback that outputs the texture id after effects such as rotation animations, scale animations are added to the video. This method can be used to add custom rendering to the video.
      Parameters:
        `scaledId` - The texture id.
        `textureWidth` - The texture width.
        `textureHeight` - The texture height.
        `matrix` - Do not use this parameter.
      Returns:
        The returned texture id is used in subsequent rendering operations. If 0 is returned, the original texture id is used.

    - #### onTextureDestroyed

          void onTextureDestroyed()

      The callback that destroys the OpenGL environment when recording resources are released. Note that this callback is invoked on the OpenGL thread.